# Module snapshot

- Description
- Function Index
- Function Details

Generic snapshot-related functions (utils).

Copyright © 2012-2013 Zuse Institute Berlin

Version: $Id$

Authors: Stefan Keidel (`keidel@informatik.hu-berlin.de`).

## Description

Generic snapshot-related functions (utils)

## Function Index

on_do_snapshot/3 |
on_local_snapshot_is_done/1 |

## Function Details

### on_do_snapshot/3

    on_do_snapshot(SnapNumber :: non_neg_integer(),
                   Leader :: any(),
                   DHTNodeState :: dht_node_state:state()) ->
                      dht_node_state:state()

### on_local_snapshot_is_done/1

    on_local_snapshot_is_done(DHTNodeState :: dht_node_state:state()) ->
                                 dht_node_state:state()

Generated by EDoc, Feb 29 2016, 16:12:18.